-- ================================================================
--  2014/06/20(Fri) 15:59:26 PostgreSQL
-- ================================================================
-- ----------------------------------------------------------------
-- ＯＰＥＮＩＤセッション
-- ----------------------------------------------------------------
CREATE TABLE TT_SESSION_OPENID (
    SID_CORPORATE                   DECIMAL(9) NOT NULL ,
    id                              CHAR(64) NOT NULL ,
    session_id                      CHAR(12) NOT NULL ,
    access_token                    CHAR(64) ,
    client_id                       VARCHAR(127) ,
    redirect_uri                    VARCHAR(255) ,
    scope                           VARCHAR(63) ,
    dn_api_uri                      VARCHAR(255) ,
    CRETIME                         CHAR(14) NOT NULL ,
    UPDTIME                         CHAR(14) NOT NULL 
    )
;
COMMENT ON TABLE TT_SESSION_OPENID IS 'ＯＰＥＮＩＤセッション';

COMMENT ON COLUMN TT_SESSION_OPENID.SID_CORPORATE IS '会社システムＩＤ';
COMMENT ON COLUMN TT_SESSION_OPENID.id IS '認可コード';
COMMENT ON COLUMN TT_SESSION_OPENID.session_id IS 'セッションＩＤ';
COMMENT ON COLUMN TT_SESSION_OPENID.access_token IS 'アクセストークン';
COMMENT ON COLUMN TT_SESSION_OPENID.client_id IS 'クライアントID';
COMMENT ON COLUMN TT_SESSION_OPENID.redirect_uri IS 'リダイレクトURL';
COMMENT ON COLUMN TT_SESSION_OPENID.scope IS 'スコープ';
COMMENT ON COLUMN TT_SESSION_OPENID.dn_api_uri IS '認証URL';
COMMENT ON COLUMN TT_SESSION_OPENID.CRETIME IS '作成日';
COMMENT ON COLUMN TT_SESSION_OPENID.UPDTIME IS '更新日';

ALTER TABLE TT_SESSION_OPENID
    ADD CONSTRAINT TT_SESSION_OPENID_PK PRIMARY KEY (SID_CORPORATE,id)
;
